﻿namespace CustomerBehaviour
{
    interface ISpendStrategy
    {
        double GetServiceSpendPerCustomer(double[] lastServiceSpendPerCustomer, double[] lastProfit);
        double GetOldServiceSpendPerCustomer();
        double[] GetParameters();
    }

    public class ConstSpend : ISpendStrategy
    {
        private readonly double _constServiceSpendPerCustomer;
        public ConstSpend(double constServiceSpendPerCustomer)
        {
            _constServiceSpendPerCustomer = constServiceSpendPerCustomer;
        }
        public double GetServiceSpendPerCustomer(double[] lastServiceSpendPerCustomer, double[] lastProfit)
        {
            return _constServiceSpendPerCustomer;
        }
        public double GetOldServiceSpendPerCustomer()
        {
            return _constServiceSpendPerCustomer;
        }
        public double[] GetParameters()
        {
            return new double[]{_constServiceSpendPerCustomer};
        }
    }
}
